Package org.apache.felix.gogo.runtime

# Class Expression.ExpressionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.felix.gogo.runtime.Expression.ExpressionException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Expression`

public class Expression.ExpressionException extends RuntimeException
The expression evaluators exception class.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ExpressionException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExpressionException

public ExpressionException(String message)